## sogo 5.8.3

=== debian/changelog ===
sogo (5.8.3-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.8.3.
  * Update copyright years.
  * Update source lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 02 Jun 2023 10:47:40 +0200

sogo (5.8.2-1bit2) unstable; urgency=medium

  * Bump libsope-dev Build-Dep to >= 5.8.2.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 19 May 2023 11:50:30 +0200

sogo (5.8.2-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 24 Apr 2023 23:08:09 +0200

sogo (5.8.0-1bit1) unstable; urgency=medium

  * New upstream release.
    - fixes sync CalDAV/CardDAV sync errors (closes: #1023177).
  * Update watch file with new download URL.
  * Drop destination-calendars-of-new-components.patch.
  * Update copyright years.
  * Refresh patches.
  * Bump libsope-dev Build-Dep to >= 5.8.0.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sun, 01 Jan 2023 12:17:11 +0100

sogo (5.7.1-1bit3) unstable; urgency=medium

  * Add upstream patch to fix destination dropdown for new Calendar
    components.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 29 Oct 2022 16:26:29 +0200

sogo (5.7.1-1bit2) unstable; urgency=medium

  * changed key WOPort in /var/lib/sogoeas/GNUstep/Defaults/sogod.plist for eas
    + from 30000 to 127.0.0.1:30000, libsope1 needs the ip address since 5.7.1

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 15 Oct 2022 17:01:48 +0200

sogo (5.7.1-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.7.1.
  * Update source lintian overrides.
  * Refresh patches.
  * Lower the number of expected test failures to 2.
  * Override dh_auto_test to make tests non-fatal on BE arches.
    The sogotest tool that runs the unit test fails on big endian
    architectures. While this is investigated, make tests non-fatal
    on those environments.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Oct 2022 12:35:30 +0200

sogo (5.7.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.7.0.
  * Update source lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 13 Jun 2022 15:11:32 +0200

sogo (5.6.0-1bit2) unstable; urgency=medium

  * Built against wbxml2-0.11.8+dfsg.
  * Removed manual entry libwbxml2-0 from build dependencies.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 30 May 2022 08:40:57 +0200

sogo (5.6.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.6.0.
  * Bump libwbxml2-dev Build-Dep to >= 0.11.8.
  * Refresh patches.
  * Update source lintian overrides.
  * Add NEWS entry with upgrade instructions for 5.6.0.
  * Update the number of failing patches from 3 to 5.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 16 May 2022 16:46:00 +0200

sogo (5.5.1-1bit2) unstable; urgency=medium

  * Made my own logrotate config file without the su command, it does not work.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 07 Feb 2022 08:31:03 +0100

sogo (5.5.1-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.5.1.
  * Refresh patch.
  * Update source lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 05 Feb 2022 09:39:20 +0100

sogo (5.5.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.5.0.
  * Removed recursive-privilege-change in postinst.
  * Refresh patch.
  * Update source lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Thu, 20 Jan 2022 15:13:38 +0100

sogo (5.4.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.
  * Bump libsope-dev Build-Dep to >= 5.4.0.
  * Updated lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 31 Dec 2021 15:26:05 +0100

=== debian/control ===
Source: sogo
Priority: optional
Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
Build-Depends: debhelper-compat (= 12),
 gobjc,
 libgnustep-base-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 liblasso3-dev (>= 2.3.5),
 libldap2-dev,
 libmemcached-dev,
 libsbjson-dev,
 libsope-dev (>= 5.8.3),
 libxml2-dev,
 libsodium-dev (>= 1.0.9),
 liboath-dev,
 libzip-dev,
 libytnef0-dev (>= 1.9.3),
 libwbxml2-dev (>= 0.11.8),
 pkg-config,
 python3
Section: mail
Standards-Version: 4.3.0
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, sogo-common (= ${source:Version}), systemd | tmpreaper, adduser, lsb-base (>= 3.0-6)
Recommends: memcached, zip
Suggests: postgresql | default-mysql-server | virtual-mysql-server, apache2 | nginx
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

Package: sogo-dev
Section: devel
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: sogo (<< ${binary:Version})
Description: a modern and scalable groupware - development files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the development files for developing SOGo modules.

Package: sogo-activesync
Section: web
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: sogo (= ${binary:Version}), sogo-activesync-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-depedent files.

Package: sogo-activesync-common
Section: web
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo-activesync
Description: Scalable groupware server - ActiveSync module common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-indepedent files.

Package: sogo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), ${misc:Depends}
Description: Scalable groupware server - debugging symbols
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the debugging symbols for SOGo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VERSION=5

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	[ ! -f config.make ] ||	$(MAKE) -C ActiveSync distclean
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
	$(MAKE) -C ActiveSync OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" message=yes

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2 --enable-mfa

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test
else
	-dh_auto_test
endif

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	$(MAKE) -C ActiveSync DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo-default debian/tmp/etc/default/sogoeas
	sed -i 's/sogo/sogoeas/g' debian/tmp/etc/default/sogoeas
	sed -i 's/PREFORK=3/PREFORK=15/' debian/tmp/etc/default/sogoeas
	sed -i 's/Default: 3/Default: 15/' debian/tmp/etc/default/sogoeas
	sed -i 's/SOGo/SOGo ActiveSync/' debian/tmp/etc/default/sogoeas
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp debian/logrotate debian/tmp/etc/logrotate.d/sogo
	cp debian/logrotate debian/tmp/etc/logrotate.d/sogoeas
	sed -i 's/sogo/sogoeas/' debian/tmp/etc/logrotate.d/sogoeas
#	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf

#	Put arch independent files in /usr/share instead of /usr/lib
#	Resource files for SOGo
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done

#	Resource files for ActiveSync
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	mv debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	dh_link -psogo-activesync-common usr/share/GNUstep/SOGo/ActiveSync.SOGo/Resources usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources
	-rm debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/stamp.make

#	Resource files for Templates and WebServerResources
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries

#	Framework Resources
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Resources
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION) usr/share/GNUstep/Frameworks/SOGo.framework/Versions/Current

#	Headers for development package
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Headers
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers

	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## sogo 5.8.4

=== debian/changelog ===
sogo (5.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jun 2023 00:11:31 +0200

sogo (5.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Jun 2023 01:29:24 +0200

sogo (5.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 May 2023 15:52:15 +0200

=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libcurl4-openssl-dev,
 libgnustep-base-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 liboath-dev,
 libsbjson-dev,
 libsodium-dev,
 libsope-dev (>= 5.7.1),
 libssl-dev,
 libwbxml2-dev (>= 0.11),
 libxml2-dev,
 libytnef-dev,
 libzip-dev,
 pkg-config,
 python3
Standards-Version: 4.6.2
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git
Rules-Requires-Root: no

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-activesync
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

## sogo 5.10.0

=== debian/changelog ===
sogo (5.10.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.10.0.
  * Refresh patches.
  * Update source lintian overrides.
  * Font files must not be executable.
  * Add package fonts-material-design-icons-iconfont as a dependency.
  * Remove supplied font files MaterialIcons-Regular-* and make links to packaged fonts.
  * Completely removed building of the test units.
  * New patch:
    - patch 0014-disable-unit-tests.patch
  * Disabled patches:
    - disable_is_localhost_test.patch
    - 0006-Update-unit-test-expected-failures.patch
    - disable_test_rendering.patch

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 23 Feb 2024 14:43:57 +0100

sogo (5.9.1-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13.
  * Bump libsope-dev Build-Dep to >= 5.9.1.
  * Refresh patches.
  * Update source lintian overrides.
  * Disabling the test tool build, I don't care if there are errors or warnings.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 15 Dec 2023 16:51:34 +0100

sogo (5.9.0-1bit3) unstable; urgency=medium

  * added deluser --group in sogo.postrm.
  * removed option --disabled-login in sogo.postinst and sogo-activesync.postinst
    for debian 12 compatibility.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 23 Oct 2023 17:04:44 +0200

sogo (5.9.0-1bit2) unstable; urgency=medium

  * Calls a database upgrade script in postinst:
    - Converting c_value to varchar(4096) if version was older than 5.6.0
    - Converting c_defaults to mediumtext if version was older than 5.9.0

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 21 Oct 2023 12:01:34 +0200

sogo (5.9.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.9.0.
  * Refresh patches.
  * Improving gender changes.
  * Update source lintian overrides.
  * Upper the number of expected test failures to 3.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 13 Oct 2023 15:05:37 +0200

sogo (5.8.4-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.8.4.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 24 Jul 2023 14:48:50 +0200

=== debian/control ===
Source: sogo
Priority: optional
Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libgnustep-base-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 liblasso3-dev (>= 2.3.5),
 libldap2-dev,
 libmemcached-dev,
 libsbjson-dev,
 libsope-dev (>= 5.10.0),
 libxml2-dev,
 libsodium-dev (>= 1.0.9),
 liboath-dev,
 libzip-dev,
 libytnef0-dev (>= 1.9.3),
 libwbxml2-dev (>= 0.11.8),
 pkg-config,
 python3
Section: mail
Standards-Version: 4.3.0
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, sogo-common (= ${source:Version}), systemd | tmpreaper, adduser, lsb-base (>= 3.0-6)
Recommends: memcached, zip
Suggests: postgresql | default-mysql-server | virtual-mysql-server, apache2 | nginx
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}, fonts-material-design-icons-iconfont
Recommends: sogo
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

Package: sogo-dev
Section: devel
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: sogo (<< ${binary:Version})
Description: a modern and scalable groupware - development files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the development files for developing SOGo modules.

Package: sogo-activesync
Section: web
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: sogo (= ${binary:Version}), sogo-activesync-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-depedent files.

Package: sogo-activesync-common
Section: web
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo-activesync
Description: Scalable groupware server - ActiveSync module common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-indepedent files.

Package: sogo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), ${misc:Depends}
Description: Scalable groupware server - debugging symbols
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the debugging symbols for SOGo.

=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,19 @@
 	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources
 	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION) usr/share/GNUstep/Frameworks/SOGo.framework/Versions/Current
 
+#	Remove MaterialIcons-Regular fonts
+	rm debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/fonts/MaterialIcons-Regular.*
+
+#	make all other fonts have to be non executable
+	chmod 644 debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/fonts/*
+
+#	Make links to packaged version for font MaterialIcons-Regular
+	dh_link -psogo-common usr/share/fonts/eot/material-design-icons-iconfont/MaterialIcons-Regular.eot usr/share/GNUstep/SOGo/WebServerResources/fonts/MaterialIcons-Regular.eot
+	dh_link -psogo-common usr/share/fonts/truetype/material-design-icons-iconfont/MaterialIcons-Regular.ttf usr/share/GNUstep/SOGo/WebServerResources/fonts/MaterialIcons-Regular.ttf
+	dh_link -psogo-common usr/share/fonts/woff/material-design-icons-iconfont/MaterialIcons-Regular.woff usr/share/GNUstep/SOGo/WebServerResources/fonts/MaterialIcons-Regular.woff
+	dh_link -psogo-common usr/share/fonts/woff/material-design-icons-iconfont/MaterialIcons-Regular.woff2 usr/share/GNUstep/SOGo/WebServerResources/fonts/MaterialIcons-Regular.woff2
+
+
 #	Headers for development package
 	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
 	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework

=== debian/watch ===
version=4
https://packages.sogo.nu/sources/ \
(?:.*/|.*=|)SOGo[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sogo 5.11.0

=== debian/changelog ===
sogo (5.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depend on pkg-config to pkgconf.

 -- Jordi Mallach <jordi@debian.org>  Mon, 12 Aug 2024 14:15:07 +0200

sogo (5.10.0-3) unstable; urgency=medium

  * Only expect 1 test to fail (test is documented to be broken upstream).
  * Instead, disable the isIPv4 check in the test suite, as that one fails
    on certain scenarios (closes: #1073428).

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Jun 2024 22:54:50 +0200

sogo (5.10.0-2) unstable; urgency=medium

  * Revert number of expected test failures to 2 (closes #1063617).
  * Add bug closer to previous changelog entry.
  * Do not run testsuite if `nocheck` is part of DEB_BUILD_OPTIONS.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Mar 2024 22:47:37 +0100

sogo (5.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch to allow for double digit components of a version.
  * Update copyright years and download URL.
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Mar 2024 23:57:51 +0100

sogo (5.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Revert all unvendoring changes as they completely break SOGo.
  * Rely on dh_installinit to install the systemd service file
    (closes: #1054486).
  * Refresh Remove-build-date.patch.
  * Update number of expected test failures to 1.
  * Release to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Feb 2024 16:39:36 +0100

sogo (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh Remove-build-date patch.
  * Fix replacement of vendored JS libraries with packaged versions
    (closes: #1042529).
  * Drop unneeded Build-Depends on js libs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 28 Nov 2023 09:46:18 +0100

sogo (5.8.4-2) unstable; urgency=medium

  * Use Debian packaged version of ckeditor, angularjs, lodash and
    punycode (closes: #1042529).

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Sep 2023 14:23:23 +0200

=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libcurl4-openssl-dev,
 libgnustep-base-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 liboath-dev,
 libsbjson-dev,
 libsodium-dev,
 libsope-dev (>= 5.7.1),
 libssl-dev,
 libwbxml2-dev (>= 0.11),
 libxml2-dev,
 libytnef-dev,
 libzip-dev,
 pkgconf,
 python3
Standards-Version: 4.6.2
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git
Rules-Requires-Root: no

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-activesync
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	[ ! -f config.make ] || (cd ActiveSync && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes clean)
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
	(cd ActiveSync && $(MAKE) OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes)

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2 --enable-mfa

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test
else
	-dh_auto_test
endif
endif

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	(cd ActiveSync && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install)
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
	# Put arch independent files in /usr/share instead of /usr/lib
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	    && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ ; \
	done
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries

	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## sogo 5.11.2

=== debian/changelog ===
sogo (5.11.2-4) unstable; urgency=high

  [ Yavor Doganov ]
  * debian/rules (override_dh_auto_install): Patch the Apache
    configuration file to cope with multiarch (Closes: #1098311).
    Thanks Timo van Roermund for the report.
  * debian/sogo-common.install: Replace usr/share/* with usr/share/GNUstep
    because apache.conf must be in the sogo package.
  * debian/sogo.docs: Add apache.conf.
  * debian/clean: New file.
  * debian/control: Add necessary Breaks+Replaces.

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Feb 2025 17:09:40 +0100

sogo (5.11.2-3) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/rules (execute_before_dh_link): Fix piuparts regression
    (Closes: #1095275).
  * debian/control (sogo-activesync): Add necessary Breaks/Replaces.
  * debian/sogo-activesync.maintscript: New file; handle the symlink to
    directory conversion.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Feb 2025 16:49:11 +0100

sogo (5.11.2-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Bump libsbjson-dev and libsope-dev to
    ensure the package is rebuilt for the multiarch layout. Closes: #1094304.
    Remove unnecessary gobjc; annotate python3 with :any.
  * debian/rules: Include gnustep-make's config.mk.
    (override_dh_auto_install): Fix paths when moving files.
    Delete statements handled by dh_gnustep.
    (execute_before_dh_link): Run dh_gnustep --bundle-dir to create
    symlinks and move files to sogo-common.
  * debian/sogo.install: Update for multiarch.
  * debain/sogo-activesync.install: Likewise.
  * debian/sogo-common.links: Delete.
  * debian/sogo-common.install: Add usr/lib/*/GNUstep/Libraries.
  * debian/sogo.links: New file.
  * debian/patches/libxml2.patch: Dont' hard code pkg-config.
  * debian/patches/cross.patch: New; fix FTCBFS. Closes: #1094306.

 -- Jordi Mallach <jordi@debian.org>  Sat, 01 Feb 2025 23:20:29 +0100

sogo (5.11.2-1) unstable; urgency=medium

  * New upstream release, with two important fixes introduced in 5.11.1:
    - fix a security issue with parameter SOGoForbidUnknownDomainsAuth
    - modify the message-id to avoid triggering a native spamassassin rule

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Oct 2024 17:22:54 +0200

sogo (5.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop libwbxml2 include dir patch, applied upstream.
  * Update Standards-Version to 4.7.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Oct 2024 16:36:37 +0200

sogo (5.11.0-2) unstable; urgency=medium

  * Add patch to obtain libwbxml2 cflags using pkgconf (closes: #1080139).

 -- Jordi Mallach <jordi@debian.org>  Thu, 05 Sep 2024 08:04:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,23 @@
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
- gobjc,
  libcurl4-openssl-dev,
  libgnustep-base-dev,
  liblasso3-dev,
  libldap2-dev,
  libmemcached-dev,
  liboath-dev,
- libsbjson-dev,
+ libsbjson-dev (>= 2.3.2-5),
  libsodium-dev,
- libsope-dev (>= 5.7.1),
+ libsope-dev (>= 5.11.1-2),
  libssl-dev,
  libwbxml2-dev (>= 0.11),
  libxml2-dev,
  libytnef-dev,
  libzip-dev,
  pkgconf,
- python3
-Standards-Version: 4.6.2
+ python3:any
+Standards-Version: 4.7.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git
@@ -33,6 +32,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
 Suggests: postgresql | default-mysql-server | virtual-mysql-server
+Breaks: sogo-common (<< 5.11.2-4)
+Replaces: sogo-common (<< 5.11.2-4)
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
  the SOPE application server with focus on scalability. It has many
@@ -51,6 +52,8 @@
 Package: sogo-activesync
 Architecture: any
 Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: sogo (<< 5.11.2-3)
+Replaces: sogo (<< 5.11.2-3)
 Description: Scalable groupware server - ActiveSync module
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
  the SOPE application server with focus on scalability.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export DH_VERBOSE=1
+include /usr/share/GNUstep/debian/config.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -37,21 +38,20 @@
 	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
 	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
 	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
-	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
+	sed -e 's|/usr/lib/GNUstep|$(GNUSTEP_SYSTEM_LIBRARY)|g' \
+	  Apache/SOGo.conf > apache.conf
 	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
 	# Put arch independent files in /usr/share instead of /usr/lib
 	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
-	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
-		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
-	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
-	    && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ ; \
-	done
-	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
-	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
-	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
-	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
+	mv debian/tmp/usr/lib/*/GNUstep/SOGo/Templates debian/tmp/usr/lib/*/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
 
 	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
+
+execute_before_dh_link:
+# Remove the ActiveSync bundle in advance, otherwise dh_gnustep will
+# happily move its Resources to /usr/share in the sogo-common package.
+	rm -rf debian/tmp$(GNUSTEP_SYSTEM_LIBRARY)/SOGo/ActiveSync*
+	gsdh_gnustep --bundle-dir=SOGo --move-to=sogo-common

## sogo 5.12.0

=== debian/changelog ===
sogo (5.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 (no changes needed).
  * Add Alinto to copyright holders and update years.
  * Bump Build-Depends on libsope-dev to 5.12 for OpenID support.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Mar 2025 14:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  liboath-dev,
  libsbjson-dev (>= 2.3.2-5),
  libsodium-dev,
- libsope-dev (>= 5.11.1-2),
+ libsope-dev (>= 5.12),
  libssl-dev,
  libwbxml2-dev (>= 0.11),
  libxml2-dev,
@@ -21,7 +21,7 @@
  libzip-dev,
  pkgconf,
  python3:any
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git

## sogo 5.12.1

=== Documentation/Makefile ===
all: pdf html

ASCIIDOCS = $(wildcard SOGo*.asciidoc)
PDFS = $(patsubst %.asciidoc,%.pdf, $(ASCIIDOCS))
HTML = $(patsubst %.asciidoc,%.html, $(ASCIIDOCS))

%.pdf: %.asciidoc asciidoctor-pdf-theme.yml $(wildcard includes/*.asciidoc)
	asciidoctor-pdf \
		-a pdf-fontsdir=fonts \
		-a release_version=`git describe --abbrev=0 --tags | cut -d'-' -f 2` \
		-a release_month=`LANG=en_US.UTF-8 date +%B` \
		-a pdf-theme=asciidoctor-pdf-theme.yml \
		--trace \
		$<

%.html: %.asciidoc $(wildcard includes/*.asciidoc)
	asciidoctor \
		-D . \
		-a release_version=`git describe --abbrev=0 --tags | cut -d'-' -f 2` \
		-a release_month=`LANG=en_US.UTF-8 date +%B` \
		-n \
		$<

pdf: $(PDFS)

html: $(HTML)

clean:
	rm -f *.pdf *.html

=== debian/changelog ===
sogo (5.12.1-3) unstable; urgency=medium

  * Add upstream patch to fix freebusy calculation.
  * Add upstream patch to use libcurl for OpenId HTTP requests.

 -- Jordi Mallach <jordi@debian.org>  Fri, 25 Jul 2025 11:26:33 +0200

sogo (5.12.1-2) unstable; urgency=medium

  * Replace vendoring of lodash, FileSaver and angularjs with packaged versions.
    (Closes: #1104813)
  * Cherry-pick post 5.12.1 fixes for OpenID and password management.

 -- Jordi Mallach <jordi@debian.org>  Fri, 06 Jun 2025 11:37:50 +0200

sogo (5.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 04 May 2025 23:21:03 +0200

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 Package: sogo-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-angularjs, libjs-filesaver, libjs-lodash, ${misc:Depends}
 Suggests: httpd
 Multi-Arch: foreign
 Description: Scalable groupware server - common files

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,15 @@
 	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
 	mv debian/tmp/usr/lib/*/GNUstep/SOGo/Templates debian/tmp/usr/lib/*/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
 
+	# Use packaged 3rd party javascript libraries available in Debian
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/FileSaver.min.js*
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/angular.js
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/angular.min.js*
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/angular-{animate,aria,cookies,messages,sanitize}.js
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/angular-{animate,aria,cookies,messages,sanitize}.min.js*
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/lodash.js
+	rm -f debian/tmp/usr/share/GNUstep/SOGo/WebServerResources/js/vendor/lodash.min.js*
+
 	dh_install
 
 override_dh_installchangelogs:
